Subject: Need source for pressure cookers/sterilizers

From: [email-masked] (P Okerholm)
Date: 27 Aug 1995 08:07:06 -0400

I have two, ten gallon All American pressure cookers for sterilizing
my sawdust media. Both units arrived with pin holes in the castings. I
sent one back to the company under warranty and after it gets back I'll
send the other one back. 
     This message isn't about bashing this particular brand of pressure 
cooker. Other than the problem mentioned they appear to good units. 
However, after receiving two defective units out of two, I"d like to see 
what other choices thare are out there. 
       I have contacted Market Forge (units too small), Hamilton Kettle
(units too large) and Anchor Equipment (specialize in governmant
contracts). Does anyone out there know of another source? I'd like ten
gallon or larger.
Thanks,
Paul